Remove a tag value from a system
POST
/systems/{name}:removeTag
const url = 'https://example.com/api/v1/systems/example:removeTag';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/systems/example:removeTag \ --header 'Content-Type: application/json' \ --data '{ "key": "example" }'Removes a key’s value from a system. Gated by system:update.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” name
required
The entity’s name
string
The entity’s name
Request Body required
Section titled “Request Body required ” Media type application/json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
key
required
The tag key to remove
string
Responses
Section titled “ Responses ”No Content
default
Section titled “default ”Error
Media type application/problem+json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "$schema": "/api/v1/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}